be.fgov.ehealth.timestamping.protocol.v2

## Class JournalEntryType

- java.lang.Object
- - be.fgov.ehealth.timestamping.protocol.v2.JournalEntryType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:07:43+01:00",
                 comments="JAXB RI v2.3.7")
      public class JournalEntryType
      extends Object
      implements Serializable

  Java class for JournalEntryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JournalEntryType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Hash" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Ref" type="{http://www.w3.org/2001/XMLSchema}long"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JournalEntryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHash()` Gets the value of the hash property.
    `long` | `getRef()` Gets the value of the ref property.
    `void` | `setHash(String value)` Sets the value of the hash property.
    `void` | `setRef(long value)` Sets the value of the ref property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JournalEntryType

          public JournalEntryType()

  - ### Method Detail

    - #### getHash

          public String getHash()

      Gets the value of the hash property.
      Returns:
        possible object is `String`

    - #### setHash

          public void setHash(String value)

      Sets the value of the hash property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRef

          public long getRef()

      Gets the value of the ref property.

    - #### setRef

          public void setRef(long value)

      Sets the value of the ref property.

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.